<?php

class fieldCart extends cmsFormField {

    public $title   = 'Цена товара (корзина)';
    public $sql     = 'text';

    public function getOptions(){
        return array(
            new fieldCheckbox('filter_range', array(
                'title' => LANG_PARSER_NUMBER_FILTER_RANGE,
                'default' => false
            )),
            new fieldString('units', array(
                'title' => 'Валюта',
            )),
			new fieldString('name', array(
                'title' => 'Название кнопки корзины',
            )),
        );
    }

   
    public function parseTeaser($value){
                $val = cmsModel::yamlToArray($value);

        $units = $this->getProperty('units');
        if(!$units) { $units = $this->getOption('units'); }
        if(!$units) { $units = ''; }
		$html='';
		$html .="
		<link href=\"/templates/default/controllers/cart/css/style.css\" type=\"text/css\" rel=\"stylesheet\">
		<div style=\"  display: inline-block;\">
		 <div class=\"price\">
                        Цена: ".htmlspecialchars($val['zena'])."  {$units}
                    </div>
					</div>";
	
        return $html;	
	}
    public function parse($value){
		 $core = cmsCore::getInstance();
			$ctype_string = $core->uri_controller;
			$target_ctype_name = $core->request->get('ctype_name');
					$config = cmsConfig::getInstance();
		$content_model = cmsCore::getModel('content');
           	// Получаем SLUG записи
        $slug = $core->request->get('slug');
			 
        $ctype_name = $target_ctype_name;
        $ctype = $content_model->getContentTypeByName($ctype_name);        
        $val = cmsModel::yamlToArray($value);
		if (!$ctype) {
			if ($config->ctype_default){
				$ctype = $content_model->getContentTypeByName($config->ctype_default);			
				if (!$ctype) { return false; }				
				$slug = $ctype_name . '/' . $slug;
				$ctype_name = $config->ctype_default;
			} else {
			return false;	
			
			}
		} 
			if(!$ctype_name){return;}
               $model = cmsCore::getModel('content');
			   $tabname = $model->table_prefix . $ctype_name;
               if(mb_strstr($core->uri, '.html')){
	           $url = str_replace(".html", "", $core->uri); 	
	           $url = str_replace($ctype_name."/", "", $url);
			   $model->filterEqual('slug', $url);
               $art = $model->getItem($tabname);
		       $model->resetFilters();
			}
			if(!$art['id']){return;}
        $units = $this->getProperty('units');
        if(!$units) { $units = $this->getOption('units'); }
        if(!$units) { $units = ''; }
		$html='';
		$html .="
	<link href=\"/templates/default/controllers/cart/css/style.css\" type=\"text/css\" rel=\"stylesheet\">
		
		<div id=\"cartblok\">
		 <div class=\"price\">";
		if($val['szena']){$html.=" <div class=\"skidka\">Скидка</div>";}
		if($val['new']){$html.=" <div class=\"product-novelty\">
						<p>Новинка</p>
						<div class=\"clearfix\"></div>
					</div>";}
		 if($val['hit']){$html.=" <div class=\"product-popular\">
						<p>Хит продаж</p>
						<div class=\"clearfix\"></div>
					</div>";}
		 if($val['szena']){$html.="<p class=\"price_1\">{$val['szena']} {$units}</p>";}
                     $html.='
                     <div class="price_2">
                     <p class="price-block">
                     <span class="span_1">'.htmlspecialchars($val['zena']).'  '.$units.'</span></p>		
                     </div>		
					
				       <div class="add-to">
                        <form action="/cart/cart_add" method="get" id="cart_for'.$art['id'].'">
                            <input type="hidden" name="item_id" value="'.$art['id'].'" />
                            <input type="hidden" name="zena" value="'.$val['zena'].'" />
                            <input type="hidden" name="type" value="'.$ctype_name.'" />
                            <input type="button" value="В корзину" onclick="return icms.cart.add('.$art['id'].')" class="button">                            
						</form>
                    </div>
					
					
                    </div>
					</div>';
	
        return $html;
    }
 
}
