
<?php if ($items){ ?>

 <div id="cart_lists" class="widget_content_list tiles-small">
        <?php $columns = 3; $index = 1; ?>

        <?php foreach($items as $item){ ?>

            <?php
                $item['ctype'] = $ctype;
                $is_private    = $item['is_private'] && $hide_except_title && !$item['user']['is_friend'];
                $stop = 0;
				$price = is_array($item[$price_field]) ? $item[$price_field] : cmsModel::yamlToArray($item[$price_field]);
				
            ?>

            <div class="item <?php echo $ctype['name']; ?>_list_item<?php if (!empty($item['is_vip'])){ ?> is_vip<?php } ?>">

                <?php if (isset($fields['photo']) && $fields['photo']['is_in_list'] && !empty($item['photo'])){ ?>
                    <div class="image">
                     
                        <?php if ($is_private) { ?>
                            <?php echo html_image(default_images('private', 'normal'), 'normal', $item['title']); ?>
                        <?php } else { ?>
                            <a href="<?php echo href_to($ctype['name'], $item['slug'].'.html'); ?>">
                                <?php echo html_image($item['photo'], 'normal', $item['title']); ?>
                            </a>
                        <?php } ?>
                        <?php unset($item['photo']); ?>
                    </div>
                <?php } ?>

					<div class="title">
					<a href="<?php echo $url; ?>" title="<?php html($item['title']); ?>">
                            <?php html($item['title']); ?>
                        </a>
					</div>
					
					<?php if($fields){?>
					
					<div class="content_list">
                <div class="fields">

                <?php foreach($fields as $field){ ?>

                    <?php if ($stop === 2) { break; } ?>
                    <?php if (empty($item[$field['name']])) { continue; } ?>
                    <?php if ($field['is_system']) { continue; } ?>
                    <?php if (!$field['is_in_list']) { continue; } ?>
                    <?php if ($field['groups_read'] && !$user->isInGroups($field['groups_read'])) { continue; } ?>
                    <?php if ($field['name']=="price") { continue; } ?>
					<?php if ($field['name']=="title") { continue; } ?>
					<?php if ($field['name']=="photos") { continue; } ?>
                    <?php
                        if (!isset($field['options']['label_in_list'])) {
                            $label_pos = 'none';
                        } else {
                            $label_pos = $field['options']['label_in_list'];
                        }
                    ?>

                    <div class="field ft_<?php echo $field['type']; ?> f_<?php echo $field['name']; ?>">

                        <?php if ($label_pos != 'none'){ ?>
                            <div class="title_<?php echo $label_pos; ?>"><?php echo $field['title'] . ($label_pos=='left' ? ': ' : ''); ?></div>
                        <?php } ?>

                        <div class="value">
                            <?php if ($field['name'] == 'title' && $ctype['options']['item_on']){ ?>

                                <?php if ($item['parent_id']){ ?>
                                    <a class="parent_title" href="<?php echo href_to($item['parent_url']); ?>"><?php html($item['parent_title']); ?></a>
                                    &rarr;
                                <?php } ?>
                                <?php if ($is_private) { ?>
                                    <?php html($item[$field['name']]); ?> <span class="is_private" title="<?php html(LANG_PRIVACY_PRIVATE); ?>"></span>
                                <?php } else { ?>
                                    <a class="title" href="<?php echo href_to($ctype['name'], $item['slug'].'.html'); ?>"><?php html($item[$field['name']]); ?></a>
                                    <?php if ($item['is_private']) { ?>
                                        <span class="is_private" title="<?php html(LANG_PRIVACY_PRIVATE); ?>"></span>
                                    <?php } ?>
                                <?php } ?>

                            <?php } else { ?>

                               <?php if ($is_private) { $stop++; ?>
                                    <!--noindex--><div class="private_field_hint"><?php echo LANG_PRIVACY_PRIVATE_HINT; ?></div><!--/noindex-->
                               <?php } else { ?>
                                    <?php echo $field['handler']->setItem($item)->parseTeaser($item[$field['name']]); ?>
                               <?php } ?>

                            <?php } ?>
                        </div>

                    </div>

                <?php } ?>

                </div>
				
				</div>
				  <?php } ?>
						
<div class="item_prices">
		 <div class="item_price">
		 
		 	<div class="item_price_hints">
		<?php if(isset($price['szena'])){?> <div class="item_skidka">Скидка</div> <?php }?>
		
		<?php if(isset($price['new'])){ ?>
			<div class="item_product-novelty">Новинка</div>
		<?php } ?>
					
		<?php  if(isset($price['hit'])){?>
			<div class="item_product-popular">Хит продаж</div> 
		<?php }?>
		    </div>
		
	
		       	<div class="item_price_bottom">
				
         <div class="item_add-to">
                        <form action="/cart/cart_add" method="get" id="cart_for<?php echo $item['id'];?>">
                            <input type="hidden" name="item_id" value="<?php echo $item['id'];?>" />
                            <input type="hidden" name="zena" value="<?php echo $price['zena'];?>" />
                            <input type="hidden" name="type" value="<?php echo $ctype['name'];?>" />
                            <input type="button" value="В корзину" onclick="return icms.cart.add(<?php echo $item['id'];?>)" class="item_button">                            
						</form>
                    </div>
					
			<div class="item_zena">
					<?php if(isset($price['szena'])){ ?>
		            <p class="item_price_1"><?php echo $price['szena'];?> <?php echo $units;?></p>
		            <?php }?>
                    
                    <div class="item_price_2">
                    <p class="item_price-block">
                    <span class="item_span_1"><?php echo htmlspecialchars($price['zena']);?>  <?php echo $units;?></span></p>		
                    </div>
					
			</div>		
					
			    </div>
					
                    </div>
					
</div>		
				
	
				
				

            </div>

            <?php if ($index % $columns == 0) { ?>
                <div class="clear"></div>
            <?php } ?>

        <?php $index++; } ?>

    </div>

    <?php if ($perpage < $total) { ?>
        <?php echo html_pagebar($page, $perpage, $total, $page_url, $filters); ?>
    <?php } ?>

<?php } else { echo LANG_LIST_EMPTY; } ?>